%define main_version 0.9.25

Distribution:	CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	DirectFB - Graphics abstraction library for the Linux Framebuffer Device.
Name:      	DirectFB
Version:   	0.9.25.1
Release:   	1
Provides:	DirectFB
Requires:       freetype 
Requires:	libjpeg 
Requires:	libpng 
Requires:	zlib
BuildRequires:  freetype-devel 
BuildRequires:	libjpeg-devel 
BuildRequires:	libpng-devel 
BuildRequires:	SDL-devel 
BuildRequires:	libtool
BuildRequires:  glibc-devel
BuildRequires:  zlib-devel
License: 	GNU/GPL
URL:		http://www.directfb.org
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
Patch0:		directfb-%{version}-sysfs.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
DirectFB is a thin library that provides hardware graphics acceleration,
input device handling and abstraction, integrated windowing system with
support for translucent windows and multiple display layers on top of the
Linux Framebuffer Device.

It is a complete hardware abstraction layer with software fallbacks for 
every graphics operation that is not supported by the underlying hardware.
DirectFB adds graphical power to embedded systems and sets a new standard 
for graphics under Linux. 

%package	devel
Summary:        Development files for DirectFB
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description	devel
Header files for developing applications using DirectFB

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--disable-maintainer-mode \
--enable-shared \
--enable-static \
--enable-fast-install \
--disable-debug \
--enable-sse \
--enable-mmx \
--enable-video4linux2
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_libdir/libdirectfb-*.so.*
%_libdir/directfb-%{main_version}
%_libdir/libdirect-*.so.*
%_libdir/libfusion-*.so.*
%_datadir/directfb-%{main_version}
%_bindir/dfbg
%_bindir/dfbdump
%_bindir/dfbinfo
%_bindir/dfblayer
%_bindir/dfbscreen
%_bindir/dfbsummon
%_bindir/dfbinput
%_bindir/dfbpenmount
%_mandir/man1/dfbg.1*
%_mandir/man5/directfbrc.5*

%files devel
%defattr(-,root,root,-)
%doc docs/html/*
%_bindir/directfb-config
%_bindir/directfb-csource
%_includedir/directfb
%_includedir/directfb-internal
%_mandir/man1/directfb-csource.1*
%_libdir/pkgconfig/directfb.pc
%_libdir/pkgconfig/directfb-internal.pc
%_libdir/pkgconfig/direct.pc
%_libdir/pkgconfig/fusion.pc
%_libdir/libdirectfb.so
%_libdir/libdirectfb.a
%_libdir/libdirectfb.la
%_libdir/libdirect.so
%_libdir/libdirect.a
%_libdir/libdirect.la
%_libdir/libfusion.so
%_libdir/libfusion.a
%_libdir/libfusion.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Dec 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.25.1-1
- Version update
* Sun Mar 05 2006 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.9.24-2
- added missing symlinks
* Sun Jan 29 2006 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.9.24-1
- Initial Release
